#! perl

use strict;
use warnings;

my $vertices = shift || 10; # number of vertices
my $source   = shift; # restrict to the output from this source

open my $fh, '>', 'generate-png.gnuplot' or die;
for my $x (0..$vertices-1) {
  next if defined $source && $x != $source;

  for my $y (0..$vertices-1) {
    my $from = sprintf('%03d', $x);
    my $to   = sprintf('%03d', $y);

    my $base_filename = "images/out-$from-to-$to";
    print {$fh} "set terminal png\n" .
                "set output '$base_filename.png'\n" .
                "plot 'out/${from}_to_${to}.out.data' w l, 'input.data' w l\n"
  }
}
close $fh;

system "gnuplot generate-png.gnuplot";
