#! perl

use strict;
use warnings;

if (@ARGV == 0 or @ARGV % 2 == 1) { print STDERR "Usage: $0 infile outfile ...\n"; exit; }

my %files = @ARGV;

for my $file (keys %files) {
  my $outfile = $files{$file};

  open my $in, '<', $file or die;
  my @values = <$in>;
  close $in;

  my $max = 0.0;
  for my $v (@values) {
    chomp $v;
    $v = $v + 0.0;
    $max = $v if $v > $max;
  }
  if ($max < 1e-10) { die "max value is too less to output a waveform"; }

  open my $out, '>', $outfile or die;
  binmode($out);

  for my $v (@values) {
    print {$out} pack("d", $v * (1.01 / $max));
  }

  close $out;
}
